<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="/css/auction-view.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/comment-view.css" rel="stylesheet"/>
    <link href="/css/auction-list.css" rel="stylesheet"/>

    <link href="/css/art-trade.css" rel="stylesheet"/>

    <script src="/js/auction.js" type="text/javascript"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://kit.fontawesome.com/a076d05399.js"></script>

</head>
<body>
<div th:replace="nav.html :: body"></div>

<div class="wrapper">
    <div class="leftBoxAuction">
        <div class="auction-art">
            <img class="auctionArt" th:src="@{'http://localhost:8080/downloadFile/' + ${artTrade.imageId}}"/>
        </div>
    </div>
    <div class="rightBoxAuction">
        <div class="timerBox">
            <div class="timer">
                <div class="timerImg">
                    <i class="fas fa-clock"></i>
                </div>
                <p th:hidden="true" th:id="'totalCountOfSeconds'"
                   th:text="${artTrade.totalCountOfSeconds}"></p>
                <p id="timer-on-view" style="text-align: center"></p>
            </div>
        </div>

        <div class="titleOfAuction">
            <span th:text="${'Title: ' + artTrade.title}"></span>
        </div>
        <div class="artistName">
            <form method="get" th:action="@{'http://localhost:8080/panel/' + ${artTrade.ownerName}}">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="padding-right: 70px; font-size: 20px">Artist</span>
                    </div>
                    <button class="btn btn-secondary" style="font-size: 25px" th:text="${artTrade.ownerName}"
                            type="submit"></button>
                </div>
            </form>
        </div>

        <div class="description">
            <div class="descriptionText">
                <p th:text="${artTrade.description}"></p>
            </div>
        </div>
    </div>
</div>


<div class="centerBox" style="display: inline-block">

    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>
    <div class="bidList22" style="width: 400px; display: inline-block; height: 400px">
        <div class="singleBid">
            <div class="single-art-trade-bid-content">
                <div class="single-art-trade-bid">
                    <div class="centerBox">User01</div>
                    <a th:href="@{'/upload/show/1'}" th:method="post">
                        <img class="single-art-trade-bid-portrait"
                             th:src="@{'/downloadFile/6'}" width="258"/>
                    </a>
                </div>
                <div class="art-trade-comment">
                    ABCD AB abc cbcbcdssdsd s s sd
                </div>
            </div>
        </div>
    </div>


</div>

</div>

<script>
    $(document).ready(function () {
        let totalCountOfSeconds = document.getElementById("totalCountOfSeconds").textContent;
        debtTimer(totalCountOfSeconds, "timer-on-view")
    });
</script>
</body>
</html>
